---
type: api
title: Get case tags
description: Aggregates and returns a list of case tags. You must have read privileges for the **Cases** feature in the **Management**, **Observability**, or **Security** section of the Kibana feature privileges, depending on the owner of the cases you're seeking.
url: https://www.elastic.co/docs/api/doc/kibana-serverless/operation/operation-getcasetagsdefaultspace
resource: https://www.elastic.co/docs/api/doc/kibana-serverless/operation/operation-getcasetagsdefaultspace
products:
  - Kibana
---

# Get case tags

Authentication: required

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/cases/tags`
- `GET` `/s/{space_id}/api/cases/tags`

#### Path parameters

- `space_id` (string) — optional
  An identifier for the space. If `space_id` is not provided in the URL, the default space is used. Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

## Description

Aggregates and returns a list of case tags. You must have read privileges for the **Cases** feature in the **Management**, **Observability**, or **Security** section of the Kibana feature privileges, depending on the owner of the cases you're seeking.

## Query string parameters

- `owner` (union oneOf) — optional
  A filter to limit the response to a specific set of applications. If this parameter is omitted, the response contains information about all the cases that the user has access to read.
  Values: `cases`, `observability`, `securitySolution`

## Responses

#### `200`

Indicates a successful call.

`application/json`

Type: `string[] · max items: 10000`

#### `401`

Authorization information is missing or invalid.

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
## Code examples

#### Console

```console
GET kbn:/api/cases/tags
```

#### curl

```curl
curl -X GET "${KIBANA_URL}/api/cases/tags" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response examples

#### A list of tags that are used in cases

`application/json`

```json
[
  "observability",
  "security",
  "tag 1",
  "tag 2"
]
```

#### Authorization information is missing or invalid.

`application/json`

```json
{
  "error": "Unauthorized",
  "message": "Unable to authenticate with the provided credentials.",
  "statusCode": 401
}
```

